Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi
Class ECPControlDescription

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPControlDescription

Deprecated.

    @Deprecated
    public final class ECPControlDescription

extends Object

This class describes the control extensionpoint. It is used to provide the possibility to access all known controls without reading the extension point.

Author:
  Eugen Neufeld

Constructor Summary
`ECPControlDescription(String id, Class<? extends ECPAbstractControl> controlClass, boolean showLabel, Set<ECPApplicableTester> tester)` Deprecated. The constructor of the ControlDescription.

Method Summary
`Class<? extends ECPAbstractControl>` | `getControlClass()` Deprecated. The class implementing the Control.
`String` | `getId()` Deprecated. The id of this control.
`Set<ECPApplicableTester>` | `getTester()` Deprecated. The tester for this control.
`boolean` | `isShowLabel()` Deprecated. Whether to show a label for this control or not.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPControlDescription

    public ECPControlDescription(String id,
                                 Class<? extends ECPAbstractControl> controlClass,
                                 boolean showLabel,
                                 Set<ECPApplicableTester> tester)

  Deprecated.
  The constructor of the ControlDescription.

  Parameters:
    `controlClass` - the class implementing the control
    `showLabel` - whether to show a label for this control or not
    `tester` - the class testing whether the control is applicable for the current feature of the current eobject
    `id` - the id of the control that is being described

Method Detail

### getId

    public String getId()

  Deprecated.
  The id of this control.

  Returns:
    the id of the control

### getControlClass

    public Class<? extends ECPAbstractControl> getControlClass()

  Deprecated.
  The class implementing the Control. It extends the `ECPAbstractControl`.

  Returns:
    the class implementing this control

### isShowLabel

    public boolean isShowLabel()

  Deprecated.
  Whether to show a label for this control or not.

  Returns:
    true if a label should be shown

### getTester

    public Set<ECPApplicableTester> getTester()

  Deprecated.
  The tester for this control. The tester is used to check whether this control is usable on a specific feature of a specific eobject.

  Returns:
    the `ECPApplicableTester` implementation

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.